CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2016-0777

The resend_bytes function in roaming_common.c in the client in OpenSSH 5.x, 6.x, and 7.x before 7.1p2 allows remote servers to obtain sensitive information from process memory by requesting transmission of an entire buffer, as demonstrated by reading a private key.
Publish Date : 2016-01-14 Last Update Date : 2018-10-09
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
4.0
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Obtain Information
CWE ID 200

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2016:0043: openssh security update (Moderate) oval:com.redhat.rhsa:def:20160043 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2016-0777

# Product Type Vendor Product Version Update Edition Language
1 OS Apple Mac Os X 10.11.3 Version Details Vulnerabilities
2 Application HP Remote Device Access Virtual Customer Access System 15.07 Version Details Vulnerabilities
3 Application Openbsd Openssh 5.0 Version Details Vulnerabilities
4 Application Openbsd Openssh 5.0 P1 Version Details Vulnerabilities
5 Application Openbsd Openssh 5.1 Version Details Vulnerabilities
6 Application Openbsd Openssh 5.1 P1 Version Details Vulnerabilities
7 Application Openbsd Openssh 5.2 Version Details Vulnerabilities
8 Application Openbsd Openssh 5.2 P1 Version Details Vulnerabilities
9 Application Openbsd Openssh 5.3 Version Details Vulnerabilities
10 Application Openbsd Openssh 5.3 P1 Version Details Vulnerabilities
11 Application Openbsd Openssh 5.4 P1 Version Details Vulnerabilities
12 Application Openbsd Openssh 5.4 Version Details Vulnerabilities
13 Application Openbsd Openssh 5.5 Version Details Vulnerabilities
14 Application Openbsd Openssh 5.5 P1 Version Details Vulnerabilities
15 Application Openbsd Openssh 5.6 Version Details Vulnerabilities
16 Application Openbsd Openssh 5.6 P1 Version Details Vulnerabilities
17 Application Openbsd Openssh 5.7 Version Details Vulnerabilities
18 Application Openbsd Openssh 5.7 P1 Version Details Vulnerabilities
19 Application Openbsd Openssh 5.8 Version Details Vulnerabilities
20 Application Openbsd Openssh 5.8 P1 Version Details Vulnerabilities
21 Application Openbsd Openssh 5.9 Version Details Vulnerabilities
22 Application Openbsd Openssh 5.9 P1 Version Details Vulnerabilities
23 Application Openbsd Openssh 6.0 Version Details Vulnerabilities
24 Application Openbsd Openssh 6.0 P1 Version Details Vulnerabilities
25 Application Openbsd Openssh 6.1 Version Details Vulnerabilities
26 Application Openbsd Openssh 6.1 P1 Version Details Vulnerabilities
27 Application Openbsd Openssh 6.2 P1 Version Details Vulnerabilities
28 Application Openbsd Openssh 6.2 P2 Version Details Vulnerabilities
29 Application Openbsd Openssh 6.2 Version Details Vulnerabilities
30 Application Openbsd Openssh 6.3 Version Details Vulnerabilities
31 Application Openbsd Openssh 6.3 P1 Version Details Vulnerabilities
32 Application Openbsd Openssh 6.4 Version Details Vulnerabilities
33 Application Openbsd Openssh 6.4 P1 Version Details Vulnerabilities
34 Application Openbsd Openssh 6.5 Version Details Vulnerabilities
35 Application Openbsd Openssh 6.5 P1 Version Details Vulnerabilities
36 Application Openbsd Openssh 6.6 Version Details Vulnerabilities
37 Application Openbsd Openssh 6.6 P1 Version Details Vulnerabilities
38 Application Openbsd Openssh 6.7 P1 Version Details Vulnerabilities
39 Application Openbsd Openssh 6.7 Version Details Vulnerabilities
40 Application Openbsd Openssh 6.8 Version Details Vulnerabilities
41 Application Openbsd Openssh 6.8 P1 Version Details Vulnerabilities
42 Application Openbsd Openssh 6.9 Version Details Vulnerabilities
43 Application Openbsd Openssh 6.9 P1 Version Details Vulnerabilities
44 Application Openbsd Openssh 7.0 Version Details Vulnerabilities
45 Application Openbsd Openssh 7.0 P1 Version Details Vulnerabilities
46 Application Openbsd Openssh 7.1 Version Details Vulnerabilities
47 Application Openbsd Openssh 7.1 P1 Version Details Vulnerabilities
48 OS Oracle Linux 7.0 Version Details Vulnerabilities
49 OS Oracle Solaris 11.3 Version Details Vulnerabilities
50 Application Sophos Unified Threat Management Software 9.318 Version Details Vulnerabilities
51 Application Sophos Unified Threat Management Software 9.353 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apple Mac Os X 1
HP Remote Device Access Virtual Customer Access System 1
Openbsd Openssh 45
Oracle Linux 1
Oracle Solaris 1
Sophos Unified Threat Management Software 2

- References For CVE-2016-0777

https://security.FreeBSD.org/advisories/FreeBSD-SA-16:07.openssh.asc
FREEBSD FreeBSD-SA-16:07
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05390722 CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00008.html
SUSE SUSE-SU-2016:0119
http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00009.html
SUSE SUSE-SU-2016:0120
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05385680 CONFIRM
https://security.gentoo.org/glsa/201601-01
GENTOO GLSA-201601-01
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05247375 CONFIRM
http://lists.apple.com/archives/security-announce/2016/Mar/msg00004.html
APPLE APPLE-SA-2016-03-21-5
https://bto.bluecoat.com/security-advisory/sa109 CONFIRM
https://blogs.sophos.com/2016/02/17/utm-up2date-9-354-released/ CONFIRM
https://blogs.sophos.com/2016/02/29/utm-up2date-9-319-released/ CONFIRM
http://www.ubuntu.com/usn/USN-2869-1
UBUNTU USN-2869-1
http://www.securitytracker.com/id/1034671
SECTRACK 1034671
http://www.securityfocus.com/bid/80695
BID 80695 OpenSSH CVE-2016-0777 Information Disclosure Vulnerability Release Date:2017-01-16
http://www.securityfocus.com/archive/1/537295/100/0/threaded
BUGTRAQ 20160114 Qualys Security Advisory - Roaming through the OpenSSH client: CVE-2016-0777 and CVE-2016-0778
http://www.oracle.com/technetwork/topics/security/linuxbulletinjan2016-2867209.html CONFIRM
http://www.oracle.com/technetwork/topics/security/bulletinoct2015-2511968.html CONFIRM
http://www.debian.org/security/2016/dsa-3446
DEBIAN DSA-3446
http://www.openssh.com/txt/release-7.1p2 CONFIRM
http://www.openwall.com/lists/oss-security/2016/01/14/7
MLIST [oss-security] 20160114 Qualys Security Advisory - Roaming through the OpenSSH client: CVE-2016-0777 and CVE-2016-0778
http://seclists.org/fulldisclosure/2016/Jan/44
FULLDISC 20160115 Qualys Security Advisory - Roaming through the OpenSSH client: CVE-2016-0777 and CVE-2016-0778
https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05356388 CONFIRM
http://packetstormsecurity.com/files/135273/Qualys-Security-Advisory-OpenSSH-Overflow-Leak.html
http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00014.html
SUSE openSUSE-SU-2016:0128
http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00013.html
SUSE openSUSE-SU-2016:0127
http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00007.html
SUSE SUSE-SU-2016:0118
https://support.apple.com/HT206167 CONFIRM
http://lists.opensuse.org/opensuse-security-announce/2016-01/msg00006.html
SUSE SUSE-SU-2016:0117
http://lists.fedoraproject.org/pipermail/package-announce/2016-January/176349.html
FEDORA FEDORA-2016-4556904561
http://lists.fedoraproject.org/pipermail/package-announce/2016-January/175592.html
FEDORA FEDORA-2016-67c6ef0d4f
http://lists.fedoraproject.org/pipermail/package-announce/2016-February/176516.html
FEDORA FEDORA-2016-2e89eba0c1
http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10734 CONFIRM
http://lists.fedoraproject.org/pipermail/package-announce/2016-January/175676.html
FEDORA FEDORA-2016-c330264861

- Vulnerability Conditions

Vulnerability is valid if product versions listed below are used TOGETHER WITH(AND)

- Metasploit Modules Related To CVE-2016-0777

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.